# $Revision: 1.8 $, $Date: 2006/08/25 10:11:43 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Module
%define	pnam	Pluggable-Fast
Summary:	Module::Pluggable::Fast - Fast plugins with instantiation
Summary(pl):	Module::Pluggable::Fast - szybkie wtyczki z tworzeniem instancji
Name:		perl-Module-Pluggable-Fast
Version:	0.16
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4939d93b4d1098f0559c89c4f7416b5d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-UNIVERSAL-require
%endif
Requires:	perl-dirs >= 1.0-5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is similar to Module::Pluggable but instantiates plugins
as soon as they're found, useful for code generators like
Class::DBI::Loader.

%description -l pl
Ten modu jest podobny do Module::Pluggable, ale tworzy instancje
wtyczek zaraz po znalezieniu ich, co jest przydatne dla generatorw
kodu, takich jak Class::DBI::Loader.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Module/Pluggable/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-Pluggable-Fast.spec,v $
Revision 1.8  2006/08/25 10:11:43  glen
- rel 4

Revision 1.7  2006/08/24 22:37:49  glen
- rel 3

Revision 1.6  2006/08/24 21:18:46  qboosh
- vendorlib/Module/Pluggable dir moved to perl-dirs

Revision 1.5  2005/11/07 14:15:15  migo
- require UNIVERSAL-require instead of UNIVERSAL-exports
- release 2

Revision 1.4  2005/06/21 15:14:08  czucz
- updated to 0.16

Revision 1.3  2005/06/02 18:51:58  qboosh
- pl

Revision 1.2  2005/06/01 07:14:59  glen
- BR for tests

Revision 1.1  2005/05/31 19:35:32  migo
- initial revision (big help from pldcpan.pl)
